// Package apiresponse provides response types for API routes
package apiresponse

// Response defines the basic response types fields
type Response struct {
	Error      string
	Message    string
	StatusCode int
}

type Responder interface {
	Respond() Responder
}

func (r Response) Respond() Responder {
	return r
}

// HealthGET is the response type for `GET /v:version/health/ http/1.1`
type HealthGET struct {
	Response
	Data struct {
		BottinStatus string
	}
}

// ScanGET is the response type for `GET /v:version/scan/ http/1.1`
type ScanGET struct {
	Response
	Data struct {
		IsScanned bool
	}
}

// ScanPOST is the response type for `POST /v:version/scan/ http/1.1`
type ScanPOST struct {
	Response
}
