/*
Package webcontent provides the content to be embedded in the binary executable
for the web app
*/
package webcontent

import (
	"embed"
	"io"
	"text/template"

	"github.com/labstack/echo/v4"
)

//go:embed html/*html
var htmlFS embed.FS

func HTMLFS() embed.FS {
	return htmlFS
}

type Template struct {
	templates *template.Template
}

func (t *Template) Render(w io.Writer, name string, data interface{}, c echo.Context) error {
	return t.templates.ExecuteTemplate(w, name, data)
}

func TemplateHTMLFS() *Template {
	return &Template{
		templates: template.Must(template.ParseFS(HTMLFS(), "html/*.html")),
	}
}
